# Created by pyp2rpm-3.2.2
%global pypi_name isort
%global module %{pypi_name}

%global upver 5.6.4
%global ver	%(tr '-' '.' <<< %{upver})

Name:           python-isort
Version:        %{ver}
Release:        %mkrel 1
Group:          Development/Python
Summary:        A Python utility / library to sort Python imports
License:        MIT
URL:            https://github.com/timothycrosley/isort
# no hotfix release -2 in PyPI
# Source0:	https://github.com/timothycrosley/isort/archive/%%{upver}/%%{pypi_name}-%%{upver}.tar.gz
Source0:	https://pypi.io/packages/source/i/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
isort is a Python utility / library to sort imports alphabetically, and
automatically separated into sections. It provides a command line utility,
Python library and plugins for various editors to quickly sort all your
imports.

%package -n     python3-%{pypi_name}
Summary:        A Python utility / library to sort Python imports
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(setuptools)
Obsoletes:      python2-%{pypi_name} < 4.3.21.2

%description -n python3-%{pypi_name}
isort is a Python utility / library to sort imports alphabetically, and
automatically separated into sections. It provides a command line utility,
Python library and plugins for various editors to quickly sort all your
imports.

%prep
%setup -q -n %{pypi_name}-%{upver}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
rm -fr %{buildroot}/%{python3_sitelib}/tests

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/isort
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%(cut -d. -f1-3 <<< %{ver})-py?.?.egg-info


%changelog
* Tue Oct 13 2020 shlomif <shlomif> 5.6.4-1.mga8
+ Revision: 1635255
- New version 5.6.4

* Fri Oct 09 2020 shlomif <shlomif> 5.6.1-1.mga8
+ Revision: 1632972
- New version 5.6.1

* Sun Feb 16 2020 umeabot <umeabot> 4.3.21.2-3.mga8
+ Revision: 1531023
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 4.3.21.2-2.mga8
+ Revision: 1438545
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 4.3.21.2-1.mga8
+ Revision: 1435678
- new version 4.3.21-2
- drop python2 support

* Sun Jun 30 2019 shlomif <shlomif> 4.3.21-1.mga8
+ Revision: 1416219
- New version 4.3.21

* Sun Apr 14 2019 daviddavid <daviddavid> 4.3.17-1.mga7
+ Revision: 1390018
- new version: 4.3.17
- use new python macros

* Fri Apr 05 2019 shlomif <shlomif> 4.3.16-1.mga7
+ Revision: 1386123
- New version 4.3.16

* Fri Mar 15 2019 shlomif <shlomif> 4.3.15-1.mga7
+ Revision: 1377701
- New version 4.3.15

* Tue Jan 08 2019 tv <tv> 4.3.4-4.mga7
+ Revision: 1351676
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.3.4-3.mga7
+ Revision: 1289094
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 4.3.4-2.mga7
+ Revision: 1224630
- Forgot to rename the files section

* Wed May 02 2018 kekepower <kekepower> 4.3.4-1.mga7
+ Revision: 1224629
- Update to version 4.3.4
- Rename python-isort to python2-isort
- Use python_provide
- Update BRs

* Sat Nov 04 2017 shlomif <shlomif> 4.2.15-1.mga7
+ Revision: 1175885
- Fix build
- import from pyp2rpm

